| dp21txss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions | Variables
rx.c File Reference

## Overview

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

## Functions
void | mask_intr (void)
| This function masks the TX interrupts. More...
u32 | DpRxSs_Setup (void)
| This function configures DisplayPort RX Subsystem. More...
u32 | DpRxSs_SetupIntrSystem (void)
| This function sets up the interrupt system so interrupts can occur for the DisplayPort RX Subsystem core. More...
void | DpRxSs_PowerChangeHandler (void *InstancePtr)
| This function is the callback function for when the power state interrupt occurs. More...
void | DpRxSs_VideoValidHandler (void *InstancePtr)
| This function is the callback function for when the power state interrupt occurs. More...
void | DpRxSs_VmChangeHandler (void *InstancePtr)
| This function is the callback function for when a video mode change interrupt occurs. More...
void | DpRxSs_NoVideoHandler (void *InstancePtr)
| This function is the callback function for when a no video interrupt occurs. More...
void | DpRxSs_VerticalBlankHandler (void *InstancePtr)
| This function is the callback function for when a vertical blank interrupt occurs. More...
void | DpRxSs_TrainingLostHandler (void *InstancePtr)
| This function is the callback function for when a training lost interrupt occurs. More...
void | DpRxSs_VideoHandler (void *InstancePtr)
| This function is the callback function for when a valid video interrupt occurs. More...
void | DpRxSs_TrainingDoneHandler (void *InstancePtr)
| This function is the callback function for when the training done interrupt occurs. More...
void | DpRxSs_UnplugHandler (void *InstancePtr)
| This function is the callback function for when the unplug event occurs. More...
void | DpRxSs_LinkBandwidthHandler (void *InstancePtr)
| This function is the callback function for when the link bandwidth change occurs. More...
void | DpRxSs_PllResetHandler (void *InstancePtr)
| This function is the callback function for PLL reset request. More...
void | DpRxSs_BWChangeHandler (void *InstancePtr)
| This function is the callback function for PLL reset request. More...
void | DpRxSs_AccessLaneSetHandler (void *InstancePtr)
| This function is the callback function for Access lane set request. More...
void | DpRxSs_CRCTestEventHandler (void *InstancePtr)
| This function is the callback function for Test CRC Event request. More...
void | DpRxSs_AccessLinkQualHandler (void *InstancePtr)
| This function is the callback function for Access link qual request. More...
void | DpRxSs_AccessErrorCounterHandler (void *InstancePtr)
| This function is the callback function for Access prbs error count. More...
void | ReportVideoCRC ()
| This function reports CRC values of Video components. More...
void | DpRxSs_InfoPacketHandler (void *InstancePtr)
| This function is the callback function for Info Packet Handling. More...
void | DpRxSs_ExtPacketHandler (void *InstancePtr)
| This function is the callback function for Generic Packet Handling of 32-Bytes payload. More...

## Variables
XDpTxSs | DpTxSsInst
XTmrCtr | TmrCtr

## Function Documentation

void DpRxSs_AccessErrorCounterHandler | ( | void * | InstancePtr | ) |

This function is the callback function for Access prbs error count.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_AccessLaneSetHandler | ( | void * | InstancePtr | ) |

This function is the callback function for Access lane set request.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

void DpRxSs_AccessLinkQualHandler | ( | void * | InstancePtr | ) |

This function is the callback function for Access link qual request.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

References I2C_MCDP6000_ADDR.

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_BWChangeHandler | ( | void * | InstancePtr | ) |

This function is the callback function for PLL reset request.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_CRCTestEventHandler | ( | void * | InstancePtr | ) |

This function is the callback function for Test CRC Event request.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_ExtPacketHandler | ( | void * | InstancePtr | ) |

This function is the callback function for Generic Packet Handling of 32-Bytes payload.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_InfoPacketHandler | ( | void * | InstancePtr | ) |

This function is the callback function for Info Packet Handling.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_LinkBandwidthHandler | ( | void * | InstancePtr | ) |

This function is the callback function for when the link bandwidth change occurs.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_NoVideoHandler | ( | void * | InstancePtr | ) |

This function is the callback function for when a no video interrupt occurs.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_PllResetHandler | ( | void * | InstancePtr | ) |

This function is the callback function for PLL reset request.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_PowerChangeHandler | ( | void * | InstancePtr | ) |

This function is the callback function for when the power state interrupt occurs.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

u32 DpRxSs_Setup | ( | void |  | ) |

This function configures DisplayPort RX Subsystem.

Parameters

  None. |

Returns
  - XST_SUCCESS if DP RX Subsystem configured successfully.
  - XST_FAILURE, otherwise.

Note
  None.

u32 DpRxSs_SetupIntrSystem | ( | void |  | ) |

This function sets up the interrupt system so interrupts can occur for the DisplayPort RX Subsystem core.

The function is application-specific since the actual system may or may not have an interrupt controller. The DPRX Subsystem core could be directly connected to a processor without an interrupt controller. The user should modify this function to fit the application.

Parameters

  None |

Returns
  - XST_SUCCESS if interrupt setup was successful.
  - A specific error code defined in "xstatus.h" if an error occurs.

Note
  None.

References DpRxSs_AccessErrorCounterHandler(), DpRxSs_AccessLinkQualHandler(), DpRxSs_BWChangeHandler(), DpRxSs_CRCTestEventHandler(), DpRxSs_ExtPacketHandler(), DpRxSs_InfoPacketHandler(), DpRxSs_LinkBandwidthHandler(), DpRxSs_NoVideoHandler(), DpRxSs_PllResetHandler(), DpRxSs_PowerChangeHandler(), DpRxSs_TrainingDoneHandler(), DpRxSs_TrainingLostHandler(), DpRxSs_UnplugHandler(), DpRxSs_VerticalBlankHandler(), DpRxSs_VideoHandler(), DpRxSs_VideoValidHandler(), DpRxSs_VmChangeHandler(), and TmrCtr.

void DpRxSs_TrainingDoneHandler | ( | void * | InstancePtr | ) |

This function is the callback function for when the training done interrupt occurs.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_TrainingLostHandler | ( | void * | InstancePtr | ) |

This function is the callback function for when a training lost interrupt occurs.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

References mask_intr().

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_UnplugHandler | ( | void * | InstancePtr | ) |

This function is the callback function for when the unplug event occurs.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

References mask_intr().

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_VerticalBlankHandler | ( | void * | InstancePtr | ) |

This function is the callback function for when a vertical blank interrupt occurs.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_VideoHandler | ( | void * | InstancePtr | ) |

This function is the callback function for when a valid video interrupt occurs.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_VideoValidHandler | ( | void * | InstancePtr | ) |

This function is the callback function for when the power state interrupt occurs.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

void DpRxSs_VmChangeHandler | ( | void * | InstancePtr | ) |

This function is the callback function for when a video mode change interrupt occurs.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.

Returns
  None.

Note
  None.

Referenced by DpRxSs_SetupIntrSystem().

void mask_intr | ( | void |  | ) |

This function masks the TX interrupts.

Parameters

  user_config_struct. |

Returns
  Status.

Note
  None.

References XDpTxSs::DpPtr.

Referenced by DpRxSs_TrainingLostHandler(), and DpRxSs_UnplugHandler().

void ReportVideoCRC | ( | void |  | ) |

This function reports CRC values of Video components.

Parameters

  None. |

Returns
  None.

Note
  None.

## Variable Documentation

XDpTxSs DpTxSsInst

    MODIFICATION HISTORY:

    Ver  Who      Date      Changes
    -— —      -----—  -----------------------------------------------—.
    1.00  ND      18/10/22  Common DP 2.1 tx only application for zcu102 and
                                                      vcu118
    1.01    ND              26/02/24  Added support for 13.5 and 20G

XTmrCtr TmrCtr

    MODIFICATION HISTORY:

    Ver  Who      Date      Changes
    -— —      -----—  -----------------------------------------------—.
    1.00  ND      18/10/22  Common DP 2.1 tx only application for zcu102 and
                                                      vcu118
    1.01    ND              26/02/24  Added support for 13.5 and 20G
    1.02  ND      24/03/25  Added support for PARRETO fmc
    1.03  ND      02/05/25  Changed the VESA color encode format to CEA.

Referenced by DpPt_CustomWaitUs(), DpRxSs_SetupIntrSystem(), DpTxSs_SetupIntrSystem(), and xil_getc().